#include "cfood.h"

CFood::CFood(double caloriesPerKg) : caloriesPerKg(caloriesPerKg) {}
CFood::~CFood() {}

double CFood::GetCaloriesForOneKg() const {
    return caloriesPerKg;
}

CChickenMeat::CChickenMeat() : CFood(1640) {}
double CChickenMeat::GetAmountForOnePersonPerDay(unsigned short weight) const {
    return weight * 0.005;
}

CMilk::CMilk() : CFood(420) {}
double CMilk::GetAmountForOnePersonPerDay(unsigned short weight) const {
    return weight * 0.02;
}

CChickenEgg::CChickenEgg() : CFood(1550) {}
double CChickenEgg::GetAmountForOnePersonPerDay(unsigned short weight) const {
    return weight * 0.1;
}
